<template>
    <div id="storytellerCardDisplay" class="container text-center">
        <h2>
            Storyteller's card
        </h2>
            <img class="card center" v-bind:src="getStorytellerCard()"/>
    </div>
</template>

<script>
    import axios from 'axios';
    export default {
        name: 'storytellerCardDisplay',
        data: function () {
            return {
                roundId: this.$route.params.roundId,
                filename: null
            }
        },
        methods: {
            getCardFilename() {
                axios.get("https://localhost:44361/api/round/" + this.roundId
                    + "/storytellerCard").then(response => this.filename = response.data);
            },
            getStorytellerCard() {
                return require('../assets/' + this.filename);
            }
        },
        created() {
            this.getCardFilename();
        }
    }
</script>

<style scoped>
    .card {
        height: 250px;
        display: flex;
    }
    .center {
  margin-left: auto;
  margin-right: auto;
    }
</style>